Get a Wallet
curl --request GET \
--url https://api.spherepay.co/v2/wallet/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/wallet/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"created": "2025-01-01T00:00:00.000Z",
"customerId": "customer_66c4168d418a410eae282b83883bdc39",
"id": "wallet_ce745ef7f3df4b9a8bff1301ce24b045",
"network": "sol",
"updated": "2025-01-01T00:00:00.000Z"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Billeteras
Recuperar una Billetera Cripto del Cliente por ID
Get information about a wallet by its ID
Get a Wallet
Usa este endpoint para recuperar una billetera registrada única por su ID. La respuesta incluye la dirección de la billetera, su red blockchain y el ID del cliente propietario.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
The wallet ID
Minimum string length:
1Ejemplo:
"wallet_ce745ef7f3df4b9a8bff1301ce24b045"
Respuesta
The wallet address on the specified network.
Ejemplo:
"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
The ISO 8601 timestamp when the wallet was created.
Ejemplo:
"2025-01-01T00:00:00.000Z"
The unique identifier of the customer who owns this wallet.
Ejemplo:
"customer_66c4168d418a410eae282b83883bdc39"
The unique identifier of the wallet.
Ejemplo:
"wallet_ce745ef7f3df4b9a8bff1301ce24b045"
The blockchain network for this wallet.
Opciones disponibles:
sol, fogo, ethereum, arbitrum, polygon, base, avalanche, sui, noble, sei, tron, starknet, aptos, hyperliquid Ejemplo:
"sol"
The ISO 8601 timestamp when the wallet was last updated.
Ejemplo:
"2025-01-01T00:00:00.000Z"
Última modificación el 22 de junio de 2026